
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops delete instance

Delete an instance.

### Synopsis

Delete an instance. By default, it will detach the instance from the instance group, drain it, then terminate it.

```
kops delete instance INSTANCE|NODE [flags]
```

### Examples

```
  # Delete an instance from the currently active cluster.
  kops delete instance i-0a5ed581b862d3425 --yes
  
  # Delete an instance from the currently active cluster using node name.
  kops delete instance ip-xx.xx.xx.xx.ec2.internal --yes
  
  # Delete an instance from the currently active cluster without
  validation or draining.
  kops delete instance --cloudonly i-0a5ed581b862d3425 --yes
```

### Options

```
      --api-server string             Override the API server used when communicating with the cluster kube-apiserver
      --cloudonly                     Perform deletion update without confirming progress with Kubernetes
      --fail-on-drain-error           Fail if draining a node fails (default true)
      --fail-on-validate-error        Fail if the cluster fails to validate (default true)
  -h, --help                          help for instance
      --post-drain-delay duration     Time to wait after draining each node (default 5s)
      --surge                         Surge by detaching the node from the ASG before deletion (default true)
      --use-kubeconfig                Use the server endpoint from the local kubeconfig instead of inferring from cluster name
      --validate-count int32          Number of times that a cluster needs to be validated after single node update (default 2)
      --validation-timeout duration   Maximum time to wait for a cluster to validate (default 15m0s)
  -y, --yes                           Specify --yes to immediately delete the instance
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops delete](kops_delete.md)	 - Delete clusters, instancegroups, instances, and secrets.

